FunctionQuery.FunctionWeight (Lucene 10.5.1 queries API)
Description: declaration: package: org.apache.lucene.queries.function, class: FunctionQuery, class: FunctionWeight

Package org.apache.lucene.queries.function

# Class FunctionQuery.FunctionWeight

java.lang.Object
org.apache.lucene.search.Weight
org.apache.lucene.queries.function.FunctionQuery.FunctionWeight

All Implemented Interfaces:
  `SegmentCacheable`

Enclosing class:
  `FunctionQuery`

protected class FunctionQuery.FunctionWeight extends Weight
Creates FunctionQuery scorer instances

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.search.Weight

  `Weight.DefaultBulkScorer, Weight.DefaultScorerSupplier`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final float`
  `boost`
  `protected final Map<Object,Object>`
  `context`
  `protected final IndexSearcher`
  `searcher`

  ### Fields inherited from class org.apache.lucene.search.Weight

  `parentQuery`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionWeight(IndexSearcher searcher, float boost)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Explanation`
  `explain(LeafReaderContext context, int doc)`
  `boolean`
  `isCacheable(LeafReaderContext ctx)`
  `ScorerSupplier`
  `scorerSupplier(LeafReaderContext context)`

  ### Methods inherited from class org.apache.lucene.search.Weight

  `bulkScorer, count, getQuery, matches, scorer`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### searcher

    protected final IndexSearcher searcher

  - ### boost

    protected final float boost

  - ### context

    protected final Map<Object,Object> context

- ## Constructor Details

  - ### FunctionWeight

    public FunctionWeight(IndexSearcher searcher, float boost) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### scorerSupplier

    public ScorerSupplier scorerSupplier(LeafReaderContext context) throws IOException
    Specified by:
      `scorerSupplier` in class `Weight`
    Throws:
      `IOException`

  - ### isCacheable

    public boolean isCacheable(LeafReaderContext ctx)

  - ### explain

    public Explanation explain(LeafReaderContext context, int doc) throws IOException
    Specified by:
      `explain` in class `Weight`
    Throws:
      `IOException`